RK-A2 - Feature #3615

Track number of visits across sessions in the extension

06/17/2024 06:05 AM - Ram Kordale

Status: Review

Priority: High

Assignee: Ayanava Karmakar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/17/2024

100%
0.50 hour
0.00 hour

Description

We need to start using browser storage. This ticket is to serve as the first use case.

For the purposes of this ticket, a session ends when all tabs and windows of the browser are closed.

Test case:

- Visit a supported page (currently, any youtube page). open the inspect panel.

- Look for total_visits. Let it be X
- Open multiple new tabs. total_visits should still be X.
- Open multiple windows. total_visits should still be X.

- Close all tabs in one window. total_visits should still be X.

- Close all windows and open one window. total_visits is incremented to X+1.
- Close the window and open a window. total_visits is incremented to X+2.

History

#1 - 06/18/2024 05:29 AM - Ayanava Karmakar
- Estimated time set to 0.50 h

#2 - 06/18/2024 07:24 AM - Shubham Boke
- Status changed from New to In Progress

- Assignee set to Shubham Boke

#3 - 06/18/2024 10:53 AM - Shubham Boke
- % Done changed from 0 to 100

#4 - 06/18/2024 01:38 PM - Ayanava Karmakar

- Status changed from In Progress to Resolved

#5 - 06/18/2024 01:38 PM - Ayanava Karmakar
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Ayanava Karmakar

#6 - 06/19/2024 07:23 AM - Ram Kordale
- Description updated

#7 - 06/19/2024 07:25 AM - Ram Kordale
- Description updated
- Status changed from Review to Reopened

- Assignee changed from Ayanava Karmakar to Shubham Boke

#8 - 06/19/2024 07:41 AM - Shubham Boke
- Status changed from Reopened to In Progress

- % Done changed from 100 to 80

#9 - 06/19/2024 09:34 AM - Ayanava Karmakar

04/02/2025
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#10 - 06/19/2024 09:34 AM - Ayanava Karmakar
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Ayanava Karmakar

#11 - 06/19/2024 09:35 AM - Ayanava Karmakar
- Status changed from Review to Feedback

- Assignee changed from Ayanava Karmakar to Shubham Boke

#12 - 09/10/2024 01:42 PM - Shubham Boke

- Status changed from Feedback to Resolved

#13 - 09/10/2024 01:42 PM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Ayanava Karmakar
